/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002-03 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice;

public interface VeniceNamespaces
{
  public static final String FRAME_LAF_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/21/frame.look.and.feel";

  public static final String SESSION_INFO_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/22/session.info";

  public static final String STYLESHEET_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/22/stylesheets";

  public static final String MAIL_PROPS_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/28/mail.properties";

  public static final String CONTENT_LAF_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/28/content.look.and.feel";

  public static final String REQUEST_INFO_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/29/request.info";

  public static final String SESSION_CONTROL_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/30/session.control";

  public static final String SYSTEM_EVENT_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/31/system.events";

  public static final String USER_EVENT_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/31/user.events";

  public static final String USER_SETTINGS_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/31/user.settings";

  public static final String USER_PROFILE_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2002/12/31/user.profile";

  public static final String MAIL_MESSAGES_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/01/03/system.mail.messages";

  public static final String SYSTEM_PERMS_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/05/24/system.permissions";

  public static final String COMMUNITY_PERMS_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/05/28/community.permissions";

  public static final String COMMUNITY_PROFILE_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/05/29/community.profile";

  public static final String COMMUNITY_GLOBALS_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/05/30/community.globals";

  public static final String SIDEBOX_CONTEXT_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/05/31/sidebox.context.ids";

  public static final String COMMUNITY_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/06/15/community";

  public static final String COMMUNITY_SECURITY_NAMESPACE =
      "http://www.silverwrist.com/NS/venice/2003/06/18/community.security";

} // end interface VeniceNamespaces
